Bug 1854311 - 4.5: Pods with PVCs attached takes long time to start
Summary: 4.5: Pods with PVCs attached takes long time to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1839933
Blocks: 1836198 1854312 1870193
TreeView+ depends on / blocked
 
Reported: 2020-07-07 07:27 UTC by Jan Safranek
Modified: 2020-08-20 03:20 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1839933
: 1854312 (view as bug list)
Environment:
Last Closed: 2020-07-30 18:56:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25250 None closed Bug 1854311: 4.5: UPSTREAM: 91307: CSI: Modify VolumeAttachment check to use Informer/Cache 2020-09-18 13:13:52 UTC
Red Hat Product Errata RHBA-2020:3028 None None None 2020-07-30 18:57:33 UTC

Comment 1 Jan Safranek 2020-07-08 08:32:29 UTC
Waiting for 4.5.z to open

Comment 6 Wei Duan 2020-07-24 11:32:11 UTC
According to https://bugzilla.redhat.com/show_bug.cgi?id=1836198#c39
I test on gcp with 4.5.0-0.nightly-2020-07-23-201307

300 volume mounted in about 6 minutes without failure.
 Fri 24 Jul 2020 07:25:07 PM CST: pod running:279, expect:300
 Fri 24 Jul 2020 07:25:26 PM CST: pod running:283, expect:300
 Fri 24 Jul 2020 07:25:52 PM CST: pod running:293, expect:300
 Fri 24 Jul 2020 07:26:12 PM CST: pod running:300, expect:300
INFO: All 300 pods are running. 
5 minutes and 43 seconds elapsed.

Comment 10 errata-xmlrpc 2020-07-30 18:56:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3028


Note You need to log in before you can comment on or make changes to this bug.